| Version: 3.3.1

Public Member Functions | Public Attributes | List of all members
wxRealPoint Class Reference
Class List by Category » Data Structures

`#include <wx/gdicmn.h>`

## Detailed Description

A wxRealPoint is a useful data structure for graphics operations.

It contains floating point x and y members. See wxPoint for an integer version.

Note that the coordinates stored inside a wxRealPoint object may be negative and that wxRealPoint functions do not perform any check against negative values.

##

Library: wxCore
Category: Data Structures

See also
  wxPoint

## Miscellaneous operators
Note that binary operators are defined as friend functions inside this class, making them accessible via argument-dependent lookup, but hidden otherwise.
wxRealPoint & | operator= (const wxRealPoint &pt)
wxRealPoint & | operator+= (const wxRealPoint &pt)
wxRealPoint & | operator-= (const wxRealPoint &pt)
wxRealPoint & | operator+= (const wxSize &sz)
wxRealPoint & | operator-= (const wxSize &sz)
wxRealPoint & | operator/= (int divisor)
wxRealPoint & | operator*= (int factor)
wxRealPoint & | operator/= (double divisor)
wxRealPoint & | operator*= (double factor)
bool | operator== (const wxRealPoint &p1, const wxRealPoint &p2)
bool | operator!= (const wxRealPoint &p1, const wxRealPoint &p2)
wxRealPoint | operator+ (const wxRealPoint &p1, const wxRealPoint &p2)
wxRealPoint | operator- (const wxRealPoint &p1, const wxRealPoint &p2)
wxRealPoint | operator+ (const wxRealPoint &pt, const wxSize &sz)
wxRealPoint | operator- (const wxRealPoint &pt, const wxSize &sz)
wxRealPoint | operator+ (const wxSize &sz, const wxRealPoint &pt)
wxRealPoint | operator- (const wxSize &sz, const wxRealPoint &pt)
wxRealPoint | operator- (const wxRealPoint &pt)
wxRealPoint | operator/ (const wxRealPoint &sz, int divisor)
wxRealPoint | operator* (const wxRealPoint &sz, int factor)
wxRealPoint | operator* (int factor, const wxRealPoint &pt)
wxRealPoint | operator/ (const wxRealPoint &pt, double divisor)
wxRealPoint | operator* (const wxRealPoint &pt, double factor)
wxRealPoint | operator* (double factor, const wxRealPoint &pt)

## Public Member Functions
| wxRealPoint ()
| Initializes to zero the x and y members. More...
| wxRealPoint (double x, double y)
| Initializes the point with the given coordinates. More...
| wxRealPoint (const wxPoint &pt)
| Converts the given wxPoint (with integer coordinates) to a wxRealPoint. More...

## Public Attributes
double | x
| X coordinate of this point. More...
double | y
| Y coordinate of this point. More...

## Constructor & Destructor Documentation

## ◆ wxRealPoint() [1/3]

wxRealPoint::wxRealPoint | ( |  | ) |

Initializes to zero the x and y members.

## ◆ wxRealPoint() [2/3]

wxRealPoint::wxRealPoint | ( | double | x,
|  | double | y
| ) |  |

Initializes the point with the given coordinates.

## ◆ wxRealPoint() [3/3]

wxRealPoint::wxRealPoint | ( | const wxPoint & | pt | ) |

Converts the given wxPoint (with integer coordinates) to a wxRealPoint.

## Member Function Documentation

## ◆ operator*=() [1/2]

wxRealPoint& wxRealPoint::operator*= | ( | double | factor | ) |

## ◆ operator*=() [2/2]

wxRealPoint& wxRealPoint::operator*= | ( | int | factor | ) |

## ◆ operator+=() [1/2]

wxRealPoint& wxRealPoint::operator+= | ( | const wxRealPoint & | pt | ) |

## ◆ operator+=() [2/2]

wxRealPoint& wxRealPoint::operator+= | ( | const wxSize & | sz | ) |

## ◆ operator-=() [1/2]

wxRealPoint& wxRealPoint::operator-= | ( | const wxRealPoint & | pt | ) |

## ◆ operator-=() [2/2]

wxRealPoint& wxRealPoint::operator-= | ( | const wxSize & | sz | ) |

## ◆ operator/=() [1/2]

wxRealPoint& wxRealPoint::operator/= | ( | double | divisor | ) |

## ◆ operator/=() [2/2]

wxRealPoint& wxRealPoint::operator/= | ( | int | divisor | ) |

## ◆ operator=()

wxRealPoint& wxRealPoint::operator= | ( | const wxRealPoint & | pt | ) |

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2
| ) |  |
| friend

## ◆ operator* [1/4]

wxRealPoint operator* | ( | const wxRealPoint & | pt,
|  | double | factor
| ) |  |
| friend

## ◆ operator* [2/4]

wxRealPoint operator* | ( | const wxRealPoint & | sz,
|  | int | factor
| ) |  |
| friend

## ◆ operator* [3/4]

wxRealPoint operator* | ( | double | factor,
|  | const wxRealPoint & | pt
| ) |  |
| friend

## ◆ operator* [4/4]

wxRealPoint operator* | ( | int | factor,
|  | const wxRealPoint & | pt
| ) |  |
| friend

## ◆ operator+ [1/3]

wxRealPoint operator+ | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2
| ) |  |
| friend

## ◆ operator+ [2/3]

wxRealPoint operator+ | ( | const wxRealPoint & | pt,
|  | const wxSize & | sz
| ) |  |
| friend

## ◆ operator+ [3/3]

wxRealPoint operator+ | ( | const wxSize & | sz,
|  | const wxRealPoint & | pt
| ) |  |
| friend

## ◆ operator- [1/4]

wxRealPoint operator- | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2
| ) |  |
| friend

## ◆ operator- [2/4]

wxRealPoint operator- | ( | const wxRealPoint & | pt | ) |
| friend

## ◆ operator- [3/4]

wxRealPoint operator- | ( | const wxRealPoint & | pt,
|  | const wxSize & | sz
| ) |  |
| friend

## ◆ operator- [4/4]

wxRealPoint operator- | ( | const wxSize & | sz,
|  | const wxRealPoint & | pt
| ) |  |
| friend

## ◆ operator/ [1/2]

wxRealPoint operator/ | ( | const wxRealPoint & | pt,
|  | double | divisor
| ) |  |
| friend

## ◆ operator/ [2/2]

wxRealPoint operator/ | ( | const wxRealPoint & | sz,
|  | int | divisor
| ) |  |
| friend

## ◆ operator==

bool operator== | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2
| ) |  |
| friend

## Member Data Documentation

## ◆ x

double wxRealPoint::x

X coordinate of this point.

## ◆ y

double wxRealPoint::y

Y coordinate of this point.